Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83242 - adsl-setup script assigns timeout even when asked not to
Summary: adsl-setup script assigns timeout even when asked not to
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rp-pppoe
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-31 19:59 UTC by Joshua Jensen
Modified: 2015-01-08 00:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-10-01 22:52:46 UTC


Attachments (Terms of Use)

Description Joshua Jensen 2003-01-31 19:59:20 UTC
Description of problem:

The adsl-setup script assigns:

PPPOE_TIMEOUT=20
CONNECT_TIMEOUT=60

even when "no" is specified to the "dial on demand" question.

Looking in /sbin/adsl-setup, I see line 419 saying:
[ -z "$PPPOE_TIMEOUT" ] && PPPOE_TIMEOUT=20
and line 429 saying:
[ -z "$CONNECT_TIMEOUT" ] && CONNECT_TIMEOUT=60

Why?

The CONNECT_TIMEOUT variable seems to just be used for (the avoidance of)
monitoring in /sbin/adsl-start, and nothing else.  However, the PPPOE_TIMEOUT
causes "-T 20" to be part of both the pppoe and pppd command lines (as shown by
ps), which I'm guessing is the cause of this:


Jan 31 14:26:05 firewall pppoe[14730]: Inactivity timeout... something wicked
happened on session 39450
Jan 31 14:26:05 firewall pppoe[14730]: Sent PADT
Jan 31 14:26:05 firewall pppd[14729]: Modem hangup
Jan 31 14:26:05 firewall pppd[14729]: Connection terminated.
Jan 31 14:26:05 firewall pppd[14729]: Connect time 10.6 minutes.
Jan 31 14:26:05 firewall pppd[14729]: Sent 124754 bytes, received 46007 bytes.
Jan 31 14:26:08 firewall pppd[14729]: Exit.


Looking at the big picture:

[root@firewall root]# grep -i "connect time" /var/log/messages | more
Jan 29 23:13:15 firewall pppd[5245]: Connect time 0.4 minutes.
Jan 29 23:13:45 firewall pppd[5323]: Connect time 0.4 minutes.
Jan 29 23:14:14 firewall pppd[5387]: Connect time 0.4 minutes.
Jan 29 23:14:43 firewall pppd[5451]: Connect time 0.4 minutes.
Jan 29 23:15:12 firewall pppd[5516]: Connect time 0.4 minutes.
Jan 29 23:15:41 firewall pppd[5579]: Connect time 0.4 minutes.
Jan 29 23:16:10 firewall pppd[5642]: Connect time 0.4 minutes.
Jan 29 23:16:39 firewall pppd[5705]: Connect time 0.4 minutes.
Jan 29 23:17:08 firewall pppd[5768]: Connect time 0.4 minutes.
Jan 29 23:17:37 firewall pppd[5831]: Connect time 0.4 minutes.


Notice that 0.4 minutes is just over 20 seconds...


Version-Release number of selected component (if applicable):

Phoebe Beta 4

How reproducible:

Simply run adsl-setup... you will always get a PPPOE_TIMEOUT=20

Comment 1 Ngo Than 2003-10-01 22:52:46 UTC
it's the default setting and is recommend to use this option as an extra safety
measure. I have now changed PPPOE_TIMEOUT=80.


Note You need to log in before you can comment on or make changes to this bug.